CMSIS-Core (Cortex-A): Globals

| CMSIS-Core (Cortex-A) Version 1.2.1 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- c
- d
- f
- g
- i
- l
- o
- p
- r
- s
- t
- u
- v

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - _ -

- __ABT_STACK_SIZE : mem_ARMCA9.h
- __ALIGNED : cmsis_armcc.h
- __ARM_ARCH_7A__ : cmsis_armcc.h
- __ASM : cmsis_armcc.h
- __BKPT : cmsis_armcc.h
- __CA_CMSIS_VERSION : core_ca.h
- __CA_CMSIS_VERSION_MAIN : core_ca.h
- __CA_CMSIS_VERSION_SUB : core_ca.h
- __CA_REV : ARMCA9.h
- __CLREX : cmsis_armcc.h
- __CLZ : cmsis_armcc.h
- __CMSIS_CP15_H : cmsis_cp15.h
- __COMPILER_BARRIER : cmsis_armcc.h
- __CORE_CA_H_DEPENDANT : core_ca.h
- __CORE_CA_H_GENERIC : core_ca.h
- __CORTEX_A : ARMCA9.h
- __disable_fault_irq : cmsis_armcc.h
- __DMB : cmsis_armcc.h
- __DSB : cmsis_armcc.h
- __enable_fault_irq : cmsis_armcc.h
- __FIQ_STACK_SIZE : mem_ARMCA9.h
- __FORCEINLINE : cmsis_armcc.h
- __FPU_PRESENT : core_ca.h , ARMCA9.h
- __FPU_USED : core_ca.h
- __get_CP : cmsis_armcc.h
- __get_CP64 : cmsis_armcc.h
- __GIC_PRESENT : core_ca.h , ARMCA9.h
- __HEAP_SIZE : mem_ARMCA9.h
- __I : core_ca.h
- __IM : core_ca.h
- __INLINE : cmsis_armcc.h
- __IO : core_ca.h
- __IOM : core_ca.h
- __IRQ_STACK_SIZE : mem_ARMCA9.h
- __ISB : cmsis_armcc.h
- __L2C_PRESENT : ARMCA9.h
- __LDREXB : cmsis_armcc.h
- __LDREXH : cmsis_armcc.h
- __LDREXW : cmsis_armcc.h
- __NO_RETURN : cmsis_armcc.h
- __NOP : cmsis_armcc.h
- __O : core_ca.h
- __OM : core_ca.h
- __PACKED : cmsis_armcc.h
- __PACKED_STRUCT : cmsis_armcc.txt , cmsis_armcc.h
- __RAM_BASE : mem_ARMCA9.h
- __RAM_SIZE : mem_ARMCA9.h
- __RBIT : cmsis_armcc.h
- __REV : cmsis_armcc.h
- __ROM_BASE : mem_ARMCA9.h
- __ROM_SIZE : mem_ARMCA9.h
- __ROR : cmsis_armcc.h
- __RW_DATA_SIZE : mem_ARMCA9.h
- __set_CP : cmsis_armcc.h
- __set_CP64 : cmsis_armcc.h
- __SEV : cmsis_armcc.h
- __SSAT : cmsis_armcc.h
- __STACK_SIZE : mem_ARMCA9.h
- __STATIC_FORCEINLINE : cmsis_armcc.h , cmsis_armcc.txt
- __STATIC_INLINE : cmsis_armcc.h
- __STREXB : cmsis_armcc.h
- __STREXH : cmsis_armcc.h
- __STREXW : cmsis_armcc.h
- __SVC_STACK_SIZE : mem_ARMCA9.h
- __TIM_PRESENT : ARMCA9.h , core_ca.h
- __TTB_BASE : mem_ARMCA9.h
- __TTB_SIZE : mem_ARMCA9.h
- __UNALIGNED_UINT16_READ : cmsis_armcc.h , cmsis_armcc.txt
- __UNALIGNED_UINT16_WRITE : cmsis_armcc.h , cmsis_armcc.txt
- __UNALIGNED_UINT32 : cmsis_armcc.txt
- __UNALIGNED_UINT32_READ : cmsis_armcc.txt , cmsis_armcc.h
- __UNALIGNED_UINT32_WRITE : cmsis_armcc.h , cmsis_armcc.txt
- __UND_STACK_SIZE : mem_ARMCA9.h
- __USAT : cmsis_armcc.h
- __USED : cmsis_armcc.h
- __WEAK : cmsis_armcc.h
- __WFE : cmsis_armcc.h
- __WFI : cmsis_armcc.h
- __ZI_DATA_SIZE : mem_ARMCA9.h
- _FLD2VAL : core_ca.h , core_ca.txt
- _VAL2FLD : core_ca.txt , core_ca.h